Ports - Bug #910

Add Beaglebone black display driver if possible
2016-01-07 03:44 AM - Anonymous

Status: info needed % Done: 0%
Priority: wish

Assignee:

Category:

Description

Hi, the BBB has a "SGX530 [PowerVR]", however PowerVR is a problematic driver, see:

http:/elinux.org/Beagleboard:BeagleBoneBlack

http://powervr.gnu.org.ve/doku.php
https://www.fsf.org/blogs/community/new-high-priority-project-powervr-drivers
https://libreplanet.org/wiki/Group:PowerVR_drivers
http://www.cnx-software.com/2013/04/25/beaglebone-black-vs-raspberry-pi-features-and-price-comparison/

Since as a result the BBB has no display coming up and seems it could works 2D without blobs, i suggest enable the module.

History

#1 - 2016-03-22 08:07 AM - Anonymous

- Status changed from open to info needed

#2 - 2016-03-24 09:16 AM - Anonymous

- Status changed from info needed to open

#3 - 2016-05-12 12:55 AM - Anonymous
- Project changed from 19 to Ports

#4 - 2016-06-21 07:36 PM - GNUtoo

Note that, on the beaglebone, the powervr doesn't drive the display.

Think of it as a headless GPU that have, by itself, no ways to be connected to displays.

It acts merely as a 3D accelerator.

| don't know if it's still true with the version used by Intel for some older platforms.

Here instead you probably lack other drivers to make your display work.

omapfb is probably the driver which you are looking for, but it's already enabled.

I've a GTA04 which now has a working display (it also has an OMAP SOC and a powervr).
You then probably lack some drivers that deals with the HDMI output.

You could look in /proc/config.gz if you see something interesting in that regard.

Denis.

#5 - 2016-06-24 06:57 PM - Anonymous
- Related to Bug #1036: Add more xf86-video"drivers". added

#6 - 2016-06-24 06:58 PM - Anonymous
- Assignee deleted (Anonymous)

- Subject changed from [linux-libre] add Beaglebone black display driver if possible to Add Beaglebone black display driver if possible

#7 - 2016-07-08 01:03 AM - isacdaavid

- Status changed from open to info needed

Just to let you know the 2D/Xorg drivers xf86-video-omap and xf86-video-omapfb are ready.

#8 - 2016-08-09 06:14 AM - Anonymous
http://elinux.org/Beagleboard:BeagleBoneBlack
http://powervr.gnu.org.ve/doku.php
https://www.fsf.org/blogs/community/new-high-priority-project-powervr-drivers
https://libreplanet.org/wiki/Group:PowerVR_drivers
http://www.cnx-software.com/2013/04/25/beaglebone-black-vs-raspberry-pi-features-and-price-comparison/

- Assignee set to isacdaavid

- Status changed from info needed to in progress

#9 - 2017-02-08 12:36 AM - isacdaavid
- Related to deleted (Bug #1036: Add more xf86-video"drivers".)

#10 - 2017-02-08 12:37 AM - isacdaavid
- Priority changed from bug to wish
- Assignee deleted (isacdaavid)

- Status changed from in progress to info needed
